Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QWheelEvent

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QWheelEvent class reference

### Public Functions

- Qt::ButtonState state () const `(obsolete)`

## Member Function Documentation

### Qt::ButtonState QWheelEvent::state () const

Returns the keyboard modifier flags at the time of the event.

The returned value is a selection of the following values, combined using the OR operator: `Qt::ShiftButton`, `Qt::ControlButton`, and `Qt::AltButton`.